Older sound cards on Vista

  prima12 13:21 10 Aug 2007
Locked

I have a Creative Sound Blaster live 5.1 sound card which is quite old, I have been to the Creative site and it is listed as an obsolete program, as I know very little about sound cards I don't know whether they are OS specific or not. I was wondering if the Sound Blaster would work on my new PC's Vista. P.

  Pine Man 16:43 10 Aug 2007

If you have a look at the Creative Labs Vista Forum click here you'll think world war 3 has started. Vista and Creative are like oil and water. If they haven't got a Vista driver for it you haven't got a chance.

  gudgulf 17:08 10 Aug 2007

To add to Pine Man's comments........The Live 5.1 will not fully support the way Vista deals with sound.There is a fix for the X-Fi and Audigy cards (you have to pay for the Audigy version) called Alchemy click here

I don't think this will work with a Live 5.1

In any case the Live 5.1's performance will be bettered by most onboard sound chips in use today, so I would be inclined not to use it even if it IS possible to get it working in Vista.

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

WPA2 hack: How secure is your Wi-Fi?

Add Depth Of Field to a photo using Tilt Shift Blur in Photoshop

iPhone tips & tricks

Les meilleures tablettes 2017